_Ecore_Buffer_Backend Struct Reference
Ecore » Ecore_Buffer - Graphics buffer functions » Ecore Buffer Library Functions

Structure used when initializing Ecore Buffer Backend. More...

`#include <Ecore_Buffer.h>`

## Data Fields

const char * | name
| The name of backend.
Ecore_Buffer_Module_Data(* | init )(const char *context, const char *options)
| Initialize the backend.
void(* | shutdown )(Ecore_Buffer_Module_Data bmdata)
| Shut down the backend.
Ecore_Buffer_Data(* | buffer_alloc )(Ecore_Buffer_Module_Data bmdata, int width, int height, Ecore_Buffer_Format format, unsigned int flags)
| Newly allocate memory for buffer.
void(* | buffer_free )(Ecore_Buffer_Module_Data bmdata, Ecore_Buffer_Data bdata)
| Free allocated memory.
Ecore_Export_Type(* | buffer_export )(Ecore_Buffer_Module_Data bmdata, Ecore_Buffer_Data bdata, int *id)
| Get the id or fd of Ecore_Buffer for exporting it.
Ecore_Buffer_Data(* | buffer_import )(Ecore_Buffer_Module_Data bmdata, int w, int h, Ecore_Buffer_Format format, Ecore_Export_Type type, int export_id, unsigned int flags)
| Import and create Ecore_Buffer from id or fd.
void *(* | data_get )(Ecore_Buffer_Module_Data bmdata, Ecore_Buffer_Data bdata)
Ecore_Pixmap(* | pixmap_get )(Ecore_Buffer_Module_Data bmdata, Ecore_Buffer_Data bdata)
| Get the pixmap handle.
void *(* | tbm_surface_get )(Ecore_Buffer_Module_Data bmdata, Ecore_Buffer_Data bdata)
| Get the tbm_surface_h handle.

## Detailed Description

Structure used when initializing Ecore Buffer Backend.

This structure is mainly used by modules implementing the Ecore Buffer Backend interface.

Since
  1.15